HibernateServiceMBean (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jmx
Interface HibernateServiceMBean

All Known Implementing Classes:
  HibernateService

Deprecated. See HHH-6190 for details

    @Deprecated
    public interface HibernateServiceMBean

Hibernate JMX Management API

See Also:
  `HibernateService`

Method Summary
`void` | `addMapResource(String mapResource)` Deprecated. Add a mapping file
`void` | `createSchema()` Deprecated. Export the `CREATE` DDL to the database
`void` | `dropSchema()` Deprecated. Export the `DROP` DDL to the database
`String` | `getAutoCloseSessionEnabled()` Deprecated. Is automatic Session closing enabled?
`String` | `getBatchVersionedDataEnabled()` Deprecated. Is JDBC batch update for versioned entities enabled?
`String` | `getCacheProviderConfig()` Deprecated. For cache providers which support this setting, get the provider's specific configuration resource.
`String` | `getCacheRegionFactory()` Deprecated. Get the second-level cache provider class name
`String` | `getCacheRegionPrefix()` Deprecated. Get the cache region prefix
`String` | `getCommentsEnabled()` Deprecated. Are SQL comments enabled?
`String` | `getDatasource()` Deprecated. The JNDI name of the datasource to use in this `SessionFactory`
`String` | `getDefaultCatalog()` Deprecated. Get the default catalog
`String` | `getDefaultSchema()` Deprecated. Get the default schema
`String` | `getDialect()` Deprecated. The JNDI name of the dialect class to use in this `SessionFactory`
`String` | `getFlushBeforeCompletionEnabled()` Deprecated. Is automatic Session flusing enabled?
`String` | `getGetGeneratedKeysEnabled()` Deprecated. Is use of JDBC3 `getGeneratedKeys()` enabled?
`String` | `getJdbcBatchSize()` Deprecated. Get the maximum JDBC batch size
`String` | `getJdbcFetchSize()` Deprecated. Get the JDBC fetch size
`String` | `getJdbcScrollableResultSetEnabled()` Deprecated. Is use of scrollable resultsets enabled?
`String` | `getJndiName()` Deprecated. The JNDI name to bind to the `SessionFactory`
`String` | `getJtaPlatformName()` Deprecated. Get the name of the `JtaPlatform` implementation to use.
`String` | `getMapResources()` Deprecated. The Hibernate mapping files (might be overridden by subclasses that want to specify the mapping files by some other mechanism)
`String` | `getMaximumFetchDepth()` Deprecated. Get the maximum outer join fetch depth
`String` | `getMinimalPutsEnabled()` Deprecated. Is the second-level cache optimized for miminal puts?
`String` | `getPassword()` Deprecated. Log into the database with this password
`String` | `getProperty(String property)` Deprecated. Get a property
`String` | `getPropertyList()` Deprecated. Display the properties
`String` | `getQueryCacheEnabled()` Deprecated. Is the query cache enabled?
`String` | `getQuerySubstitutions()` Deprecated. Get the query language substitutions
`String` | `getSecondLevelCacheEnabled()` Deprecated. Is the second-level cache enabled?
`String` | `getShowSqlEnabled()` Deprecated. Is SQL logging enabled?
`String` | `getTransactionStrategy()` Deprecated. The fully qualified class name of the Hibernate `TransactionFactory` implementation to use
`String` | `getUserName()` Deprecated. Log into the database with this name
`String` | `getUserTransactionName()` Deprecated. The JNDI name of the JTA UserTransaction object (used only be `JtaTransaction`).
`void` | `setAutoCloseSessionEnabled(String enabled)` Deprecated. Enable automatic closing of Session when JTA transaction ends.
`void` | `setBatchVersionedDataEnabled(String enabled)` Deprecated. Enable or disable the use of batch updates for versioned entities
`void` | `setCacheProviderConfig(String cacheProviderConfig)` Deprecated. For cache providers which support this setting, specify the provider's specific configuration resource.
`void` | `setCacheRegionFactory(String cacheRegionFactory)` Deprecated. Set the second-level cache provider class name
`void` | `setCacheRegionPrefix(String prefix)` Deprecated. Set the cache region prefix
`void` | `setCommentsEnabled(String enabled)` Deprecated. Enable or disable the inclusion of comments in generated SQL
`void` | `setDatasource(String datasource)` Deprecated. Set the JNDI name of the datasource to use in this `SessionFactory`
`void` | `setDefaultCatalog(String catalog)` Deprecated. Set the default catalog
`void` | `setDefaultSchema(String schema)` Deprecated. Set the default schema
`void` | `setDialect(String dialect)` Deprecated. The name of the dialect class to use in this `SessionFactory`
`void` | `setFlushBeforeCompletionEnabled(String enabled)` Deprecated. Enable automatic flushing of the Session when JTA transaction ends.
`void` | `setGetGeneratedKeysEnabled(String enabled)` Deprecated. Enable or disable the use `getGeneratedKeys()`
`void` | `setJdbcBatchSize(String batchSize)` Deprecated. Set the maximum JDBC batch size
`void` | `setJdbcFetchSize(String fetchSize)` Deprecated. Set the JDBC fetch size
`void` | `setJdbcScrollableResultSetEnabled(String enabled)` Deprecated. Enable or disable the use of scrollable resultsets
`void` | `setJndiName(String jndiName)` Deprecated. The JNDI name to bind to the `SessionFactory`
`void` | `setJtaPlatformName(String name)` Deprecated. Sets the name of the `JtaPlatform` implementation to use.
`void` | `setMapResources(String mappingFiles)` Deprecated. Specify the Hibernate mapping files
`void` | `setMaximumFetchDepth(String fetchDepth)` Deprecated. Set the maximum outer join fetch depth
`void` | `setMinimalPutsEnabled(String enabled)` Deprecated. Enable or disable optimization of second-level cache for minimal puts
`void` | `setPassword(String password)` Deprecated. Log into the database with this password
`void` | `setProperty(String property, String value)` Deprecated. Set a property
`void` | `setQueryCacheEnabled(String enabled)` Deprecated. Enable or disable the query cache
`void` | `setQuerySubstitutions(String querySubstitutions)` Deprecated. Set the query language substitutions
`void` | `setSecondLevelCacheEnabled(String enabled)` Deprecated. Enable or disable the second-level cache
`void` | `setShowSqlEnabled(String showSql)` Deprecated. Enable logging of SQL to console
`void` | `setTransactionStrategy(String txnStrategy)` Deprecated. Set the fully qualified class name of the Hibernate `TransactionFactory` implementation to use.
`void` | `setUserName(String userName)` Deprecated. Log into the database with this name
`void` | `setUserTransactionName(String utName)` Deprecated. Set the JNDI name of the JTA UserTransaction object (used only by `JtaTransaction`).
`void` | `start()` Deprecated. Create the `SessionFactory` and bind to the jndi name on startup
`void` | `stop()` Deprecated. Unbind the `SessionFactory` or stub from JNDI

Method Detail

### getMapResources

    String getMapResources()

  Deprecated.
  The Hibernate mapping files (might be overridden by subclasses that want to specify the mapping files by some other mechanism)

  Returns:
    String

### setMapResources

    void setMapResources(String mappingFiles)

  Deprecated.
  Specify the Hibernate mapping files

  Parameters:
    `mappingFiles` -

### addMapResource

    void addMapResource(String mapResource)

  Deprecated.
  Add a mapping file

  Parameters:
    `mapResource` -

### setProperty

    void setProperty(String property,
                     String value)

  Deprecated.
  Set a property

  Parameters:
    `property` - the property name
    `value` - the property value

### getProperty

    String getProperty(String property)

  Deprecated.
  Get a property

  Parameters:
    `property` - the property name
  Returns:
    the property value

### getPropertyList

    String getPropertyList()

  Deprecated.
  Display the properties

  Returns:
    a list of property names and values

### getDatasource

    String getDatasource()

  Deprecated.
  The JNDI name of the datasource to use in this `SessionFactory`

  Returns:
    String

### setDatasource

    void setDatasource(String datasource)

  Deprecated.
  Set the JNDI name of the datasource to use in this `SessionFactory`

  Parameters:
    `datasource` -

### getUserName

    String getUserName()

  Deprecated.
  Log into the database with this name

  Returns:
    String

### setUserName

    void setUserName(String userName)

  Deprecated.
  Log into the database with this name

  Parameters:
    `userName` -

### getPassword

    String getPassword()

  Deprecated.
  Log into the database with this password

  Returns:
    String

### setPassword

    void setPassword(String password)

  Deprecated.
  Log into the database with this password

  Parameters:
    `password` -

### getDialect

    String getDialect()

  Deprecated.
  The JNDI name of the dialect class to use in this `SessionFactory`

  Returns:
    String

### setDialect

    void setDialect(String dialect)

  Deprecated.
  The name of the dialect class to use in this `SessionFactory`

  Parameters:
    `dialect` - fully qualified class name of `Dialect` subclass
  See Also:
    `Dialect`

### getJndiName

    String getJndiName()

  Deprecated.
  The JNDI name to bind to the `SessionFactory`

  Returns:
    String

### setJndiName

    void setJndiName(String jndiName)

  Deprecated.
  The JNDI name to bind to the `SessionFactory`

  Parameters:
    `jndiName` -

### getTransactionStrategy

    String getTransactionStrategy()

  Deprecated.
  The fully qualified class name of the Hibernate `TransactionFactory` implementation to use

  Returns:
    the class name

### setTransactionStrategy

    void setTransactionStrategy(String txnStrategy)

  Deprecated.
  Set the fully qualified class name of the Hibernate `TransactionFactory` implementation to use.

  Parameters:
    `txnStrategy` - the class name

### getUserTransactionName

    String getUserTransactionName()

  Deprecated.
  The JNDI name of the JTA UserTransaction object (used only be `JtaTransaction`).

  Returns:
    the JNDI name
  See Also:
    `JtaTransaction`

### setUserTransactionName

    void setUserTransactionName(String utName)

  Deprecated.
  Set the JNDI name of the JTA UserTransaction object (used only by `JtaTransaction`).

  Parameters:
    `utName` - the JNDI name
  See Also:
    `JtaTransaction`

### getJtaPlatformName

    String getJtaPlatformName()

  Deprecated.
  Get the name of the `JtaPlatform` implementation to use.

  Returns:
    The name of the `JtaPlatform` implementation to use.

### setJtaPlatformName

    void setJtaPlatformName(String name)

  Deprecated.
  Sets the name of the `JtaPlatform` implementation to use.

  Parameters:
    `name` - The implementation class name.

### getShowSqlEnabled

    String getShowSqlEnabled()

  Deprecated.
  Is SQL logging enabled?

### setShowSqlEnabled

    void setShowSqlEnabled(String showSql)

  Deprecated.
  Enable logging of SQL to console

### getMaximumFetchDepth

    String getMaximumFetchDepth()

  Deprecated.
  Get the maximum outer join fetch depth

### setMaximumFetchDepth

    void setMaximumFetchDepth(String fetchDepth)

  Deprecated.
  Set the maximum outer join fetch depth

### getJdbcBatchSize

    String getJdbcBatchSize()

  Deprecated.
  Get the maximum JDBC batch size

### setJdbcBatchSize

    void setJdbcBatchSize(String batchSize)

  Deprecated.
  Set the maximum JDBC batch size

### getJdbcFetchSize

    String getJdbcFetchSize()

  Deprecated.
  Get the JDBC fetch size

### setJdbcFetchSize

    void setJdbcFetchSize(String fetchSize)

  Deprecated.
  Set the JDBC fetch size

### getQuerySubstitutions

    String getQuerySubstitutions()

  Deprecated.
  Get the query language substitutions

### setQuerySubstitutions

    void setQuerySubstitutions(String querySubstitutions)

  Deprecated.
  Set the query language substitutions

### getDefaultSchema

    String getDefaultSchema()

  Deprecated.
  Get the default schema

### setDefaultSchema

    void setDefaultSchema(String schema)

  Deprecated.
  Set the default schema

### getDefaultCatalog

    String getDefaultCatalog()

  Deprecated.
  Get the default catalog

### setDefaultCatalog

    void setDefaultCatalog(String catalog)

  Deprecated.
  Set the default catalog

### getJdbcScrollableResultSetEnabled

    String getJdbcScrollableResultSetEnabled()

  Deprecated.
  Is use of scrollable resultsets enabled?

### setJdbcScrollableResultSetEnabled

    void setJdbcScrollableResultSetEnabled(String enabled)

  Deprecated.
  Enable or disable the use of scrollable resultsets

### getGetGeneratedKeysEnabled

    String getGetGeneratedKeysEnabled()

  Deprecated.
  Is use of JDBC3 `getGeneratedKeys()` enabled?

### setGetGeneratedKeysEnabled

    void setGetGeneratedKeysEnabled(String enabled)

  Deprecated.
  Enable or disable the use `getGeneratedKeys()`

### getCacheRegionFactory

    String getCacheRegionFactory()

  Deprecated.
  Get the second-level cache provider class name

### setCacheRegionFactory

    void setCacheRegionFactory(String cacheRegionFactory)

  Deprecated.
  Set the second-level cache provider class name

### getCacheProviderConfig

    String getCacheProviderConfig()

  Deprecated.
  For cache providers which support this setting, get the provider's specific configuration resource.

### setCacheProviderConfig

    void setCacheProviderConfig(String cacheProviderConfig)

  Deprecated.
  For cache providers which support this setting, specify the provider's specific configuration resource.

### getQueryCacheEnabled

    String getQueryCacheEnabled()

  Deprecated.
  Is the query cache enabled?

### setQueryCacheEnabled

    void setQueryCacheEnabled(String enabled)

  Deprecated.
  Enable or disable the query cache

### getSecondLevelCacheEnabled

    String getSecondLevelCacheEnabled()

  Deprecated.
  Is the second-level cache enabled?

### setSecondLevelCacheEnabled

    void setSecondLevelCacheEnabled(String enabled)

  Deprecated.
  Enable or disable the second-level cache

### getCacheRegionPrefix

    String getCacheRegionPrefix()

  Deprecated.
  Get the cache region prefix

### setCacheRegionPrefix

    void setCacheRegionPrefix(String prefix)

  Deprecated.
  Set the cache region prefix

### getMinimalPutsEnabled

    String getMinimalPutsEnabled()

  Deprecated.
  Is the second-level cache optimized for miminal puts?

### setMinimalPutsEnabled

    void setMinimalPutsEnabled(String enabled)

  Deprecated.
  Enable or disable optimization of second-level cache for minimal puts

### getCommentsEnabled

    String getCommentsEnabled()

  Deprecated.
  Are SQL comments enabled?

### setCommentsEnabled

    void setCommentsEnabled(String enabled)

  Deprecated.
  Enable or disable the inclusion of comments in generated SQL

### getBatchVersionedDataEnabled

    String getBatchVersionedDataEnabled()

  Deprecated.
  Is JDBC batch update for versioned entities enabled?

### setBatchVersionedDataEnabled

    void setBatchVersionedDataEnabled(String enabled)

  Deprecated.
  Enable or disable the use of batch updates for versioned entities

### setFlushBeforeCompletionEnabled

    void setFlushBeforeCompletionEnabled(String enabled)

  Deprecated.
  Enable automatic flushing of the Session when JTA transaction ends.

### getFlushBeforeCompletionEnabled

    String getFlushBeforeCompletionEnabled()

  Deprecated.
  Is automatic Session flusing enabled?

### setAutoCloseSessionEnabled

    void setAutoCloseSessionEnabled(String enabled)

  Deprecated.
  Enable automatic closing of Session when JTA transaction ends.

### getAutoCloseSessionEnabled

    String getAutoCloseSessionEnabled()

  Deprecated.
  Is automatic Session closing enabled?

### createSchema

    void createSchema()
                      throws HibernateException

  Deprecated.
  Export the `CREATE` DDL to the database

  Throws:
    `HibernateException`

### dropSchema

    void dropSchema()
                    throws HibernateException

  Deprecated.
  Export the `DROP` DDL to the database

  Throws:
    `HibernateException`

### start

    void start()
               throws HibernateException

  Deprecated.
  Create the `SessionFactory` and bind to the jndi name on startup

  Throws:
    `HibernateException`

### stop

    void stop()

  Deprecated.
  Unbind the `SessionFactory` or stub from JNDI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.